Bug 1091235 - max-connection configuration property set to wrong definition, stating AJP instead of APR
Summary: max-connection configuration property set to wrong definition, stating AJP in...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR01
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On: 1095000
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-25 09:30 UTC by simer
Modified: 2018-12-09 17:46 UTC (History)
4 users (show)

(edit)
An incorrect definition for max-connection in the JBoss EAP 6 Plug-in documentation made it difficult for users to correctly set the maximum connections for APR because the docs suggested it was for AJP connections. The javadoc source is now fixed and contains the correct text in the parameter description.
Clone Of:
(edit)
Last Closed: 2014-12-11 14:02:21 UTC


Attachments (Terms of Use)

Description simer 2014-04-25 09:30:11 UTC
Configuration Property(max-connection) states wrong definition for its default value, it mentioned AJP instead of APR. Default values to max-connection for JBossweb is (512*cores for JIO, 32*cores for APR), while document states, (512*cores for HTTP, 32*cores for AJP). 


Version-Release number of selected component (if applicable): 3.1.0


Additional info:

Document name : Development-Resource Reference --> Jon Document 

Resources from where we can see read real value.

http://docs.jboss.org/jbossweb/7.0.x/config/http.html
https://issues.jboss.org/browse/AS7-4115

Comment 1 Deon Ballard 2014-05-10 04:58:26 UTC
I fixed this manually in the docs, but these are generated through a maven build target, based on the source. So, I'm reassigning to development to fix this in the source code, as well.

Comment 2 Lukas Krejci 2014-07-21 20:13:44 UTC
in master

commit ff200f352243cae35993485062844c0d3a17e09c
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Jul 21 22:00:59 2014 +0200

    [BZ 1095000] Don't try to guess web connector's max connections.

Comment 3 Lukas Krejci 2014-07-23 10:44:26 UTC
in master

commit 735365ddbf20409003e7ede9f47d4489a0f6c41a
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Jul 22 16:22:13 2014 +0200

    [BZ 1095000] Fix test failures.

Comment 4 Simeon Pinder 2014-07-31 15:51:34 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993


Note You need to log in before you can comment on or make changes to this bug.